Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee.statistics
Class EntityBeanStatsImpl

    java.lang.Object
      org.jboss.management.j2ee.statistics.StatsBase
          org.jboss.management.j2ee.statistics.EJBStatsImpl
              org.jboss.management.j2ee.statistics.EntityBeanStatsImpl

All Implemented Interfaces:
  javax.management.j2ee.statistics.EJBStats, javax.management.j2ee.statistics.EntityBeanStats, Serializable, javax.management.j2ee.statistics.Stats

public class EntityBeanStatsImpl
extends EJBStatsImpl
implements javax.management.j2ee.statistics.EntityBeanStats

The JSR77.6.12 EntityBeanStats implementation

Version:
  $Revision: 1.4 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Constructor Summary
`EntityBeanStatsImpl()`

Method Summary
`javax.management.j2ee.statistics.RangeStatistic` | `getPooledCount()` Number of beans in the pooled state.
`javax.management.j2ee.statistics.RangeStatistic` | `getReadyCount()` Number of beans in the ready state.

Methods inherited from class org.jboss.management.j2ee.statistics.EJBStatsImpl
`getCreateCount, getRemoveCount`

Methods inherited from class org.jboss.management.j2ee.statistics.StatsBase
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.EJBStats
`getCreateCount, getRemoveCount`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### EntityBeanStatsImpl

    public EntityBeanStatsImpl()

Method Detail

### getReadyCount

    public javax.management.j2ee.statistics.RangeStatistic getReadyCount()

  Description copied from interface: `javax.management.j2ee.statistics.EntityBeanStats`
  Number of beans in the ready state.

  Specified by:
    `getReadyCount` in interface `javax.management.j2ee.statistics.EntityBeanStats`

### getPooledCount

    public javax.management.j2ee.statistics.RangeStatistic getPooledCount()

  Description copied from interface: `javax.management.j2ee.statistics.EntityBeanStats`
  Number of beans in the pooled state.

  Specified by:
    `getPooledCount` in interface `javax.management.j2ee.statistics.EntityBeanStats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.